View Issue Details

IDProjectCategoryView StatusLast Update
0001138Main CAcert Websiteaccount administrationpublic2014-10-21 21:04
ReporterINOPIAE Assigned ToNEOatNHNG  
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version2013 Q1 
Target Version2014 Q1Fixed in Version2014 Q2 
Summary0001138: Implement to log the SE activity
DescriptionImplement the functionality to log the SE activity using the table AdminLog.
The GUI needs to be extended by a text field to enter the ticket number.
Additional Informationdepends on bug 1135
TagsNo tags attached.
Reviewed byNEOatNHNG, BenBE
Test Instructions

Relationships

related to 0000612 needs review & testingNEOatNHNG Add IP address and time stamp to someone viewed your lost password questions notice. 
related to 0000413 closedBenBE Add a web page indicating the certificate request is still pending 
parent of 0001135 closedegal Extend database table AdminLog et al 
parent of 0000893 closedINOPIAE Extend Delete account feature for support 
related to 0000301 closed Modification of the assurance system to track deletions 
related to 0000114 closed Revocation Reason 
related to 0000407 closedUli60 Need to deal with passing away users 
related to 0001092 needs workNEOatNHNG Mail is not send on Menue Click when Support Engineer ist looking at it 
related to 0001129 needs reviewjanmaco When SE reveals the five secred questions and answers no warning is sent to the member 
related to 0000859 needs workNEOatNHNG feature request: show activity on an account in the admin interface. 

Activities

INOPIAE

2013-12-09 07:40

updater   ~0004482

I added a fix to https://github.com/INOPIAE/CAcert/commit/39f4aa38f6b1cbbf3f8593420b42c0a30badc3d4

INOPIAE

2014-01-20 21:44

updater   ~0004530

I pushed a new fix to https://github.com/INOPIAE/CAcert/commit/73fc407c07205e87d537338101ba133393aa80e2

For testing:
Please also check the point calculation as I needed to change the assurance revokation.

BenBE

2014-01-28 20:24

updater   ~0004542

Patch looks sensible, but unfortunately I couldn't get it merged easily.

Eva

2014-02-18 23:39

updater   ~0004592

Ticket numbers:
---------------

I tried to change something with different kinds of ticketnumbers.

The following ticket numbers could not be entered as ticket numbers:
a.[buchstaben].b
a[buchstaben].b
a[buchstaben].9
a55.9
x44445577.9
t00000000.0
b00000000.0

I got a message that nothing was changed because of missing ticket number (mostly just below the ticket number filed, but for the pw-questions it was just above that area), with a discription what I tried to do.

-> ok

The following ticket numbers were accepted:
a55552222.9
s44445577.9
m44445577.9
d00000000.0
a00000000.999999999
a00000000.-88
a00000000.b
a00000000.

Changes:
--------

-> ok

I tried to change a lot of things without entering a ticket number. I could not change anything but
- pw-reset
- take a look at the se-log (which also should need a ticketnumber)

-> ok for all other points (did not check everything in the table)

I did not need to enter a ticket number to be able to delete an account, but this is ok, since one has to enter another number for the deletion (one with a different pattern).
-> ok


SE-log entries for admin:
-------------------------

The following got noted in the se-log of the admin (with or without number as shown): (deleted timestamps and account name - for better readability - they were correct)

SE View account history a20141414.14
SE View account history a20141414.14
SE View account history
SE View account history
SE view lost password information a22225555.9
SE view lost password information m44445577.9
SE view lost password information s44445577.9
SE Change assurer blocked status s44445577.9
SE Change assurer blocked status s44445577.9
SE Change SE status s44445577.9
SE Change SE status s44445577.9
SE View account history s44445577.9
SE view lost password information d00000000.0
SE view lost password information a00000000.999999999
SE view lost password information a00000000.-88
SE view lost password information a00000000.b
SE view lost password information a00000000.
SE View account history a00000000.
SE Name/DOB Change a66666666.6
SE Change assurer status a66666666.6
SE Change assurer status a66666666.6
SE Change assurer blocked status a66666666.6
SE Change assurer blocked status a66666666.6
SE Change locked status a66666666.6
SE Change locked status a66666666.6
SE Change codesign status a66666666.6
SE Change codesign status a66666666.6
SE Change org assuer status a66666666.6
SE Change org assuer status a66666666.6
SE Change ttp admin status a66666666.6
SE Change ttp admin status a66666666.6
SE Change location admin status a66666666.6
SE Change location admin status a66666666.6
SE Change SE status a66666666.6
SE Change general status a66666666.6
SE Change general status a66666666.6
SE Change country status a66666666.6
SE Change country status a66666666.6
SE Change regional status a66666666.6
SE Change regional status a66666666.6
SE Change radius status a66666666.6
SE Change radius status a66666666.6
SE Revoke all certificates a66666666.6
SE Revoke all certificates a66666666.6
SE assurance revoke a66666666.6
SE View account history

-> looks ok

on another account that I deleted as first action: (first two lines are unexpected:
        
2014-02-18 23:44:11 Admin Katzi
2014-02-18 23:44:11 SE Account delete a29222222.1.5 Admin Katzi
2014-02-18 23:44:21 SE View account history Admin Katzi
2014-02-19 00:00:19 SE Change locked status a22222222.2 Admin Katzi
2014-02-19 00:00:41 SE reset password a22222222.2 Admin Katzi
2014-02-19 00:01:12 SE View account history Admin Katzi
2014-02-19 00:04:50 SE View account history Admin Katzi

-> first line should not be there


SE-log for the user:
--------------------
looks good. Does not contain Admin name and Ticket number
-> ok


Not working as intended:
------------------------
- PW-set was possible without entering a ticketnumber - !!!but has no effect even with ticket number!!!
- primary-email was not displayed bold (at least for deleted account) in se-log
- I could not revoke assurances on the wot10 version (because it did forget the ticket number)
- show history was possible without entering a ticket number
- two entries for delete account

Could NOT look on the se-log of deleted account (49.dez13@acme.com) because I could not set the pw

overall:
--------
=> most things work as intended but there remain above problems

Eva

2014-02-18 23:43

updater   ~0004593

Last edited: 2014-02-19 09:23

View 2 revisions

Forgot to test DoB change with ticket number.
-> Works as intended (as well as name change)

INOPIAE

2014-02-22 06:36

updater   ~0004594

I pushed a new fix to https://github.com/INOPIAE/CAcert/tree/bug-1138

BenBE

2014-02-25 21:46

updater   ~0004606

The "Back to previous page" link looks like it might allow XSS.

CSS classes in the View Assurances Table should indicate purpose instead of what style they use.

pages/account/11.php\21.php: Don't unnecessarily break strings that should be translated.

OCSP cert generation: Use proper CSS instead of abusing br-tags

pages/account/5.php: Use double quotes for enclosing values that are part of the rendered HTML. e.g. on line 94.

Needs work.

INOPIAE

2014-03-04 22:14

updater   ~0004616

I pushed a new fix to https://github.com/INOPIAE/CAcert/tree/bug-1138

Werner Dworak

2014-03-24 10:08

updater   ~0004678

Last edited: 2014-03-24 10:18

View 2 revisions

First I checked the function of a simple user if her own activities are recorded in "Anzeigen/Bearbeiten --> Show account history".

She got assured
She did an Assurer Challenge
She created a client certificate
She created a domain
She assured someone

All was recorded correctly. No Admin activity up to now.

Then I opened the SE console and was asked for a ticket number.

b20140303.46 was rejected --> ok
a1899030.46 was rejected --> ok

a18990303.46 was accepted --> questionable
m18990303.46 was accepted --> questionable
s18990303.46 was accepted --> questionable
s18990303.464711 was accepted --> should not
s19284703.46 was accepted --> questionable

s18990303. was accepted --> ERROR

The following fields require the ticket number: First Name, Middle Name, Last Name, Suffix, Date of Birth, Is Assurer, Blocked Assurer, Account Locking, Code Signing, Org Assurer, TTP Admin, Location Admin, Admin, Ad Admin, all Announcements, Change Password, Show Lost Password Details, Show account history, revoke certificates, all 4 revoke assurance given/received old/new.

--> ok

Delete Account asks arbitration number anyway. --> ok

All pure show function (no action) are free.

In the Account History for all changes the date and time, ticket number and the SE name is recorded --> ok.

In the users own Account History the changes are shown too, but without Ticket and SE. --> ok

NEOatNHNG

2014-04-29 20:30

administrator   ~0004754

I have put in quite a lot of fixes and removed duplicated code and so on. Please retest and do a second review.

INOPIAE

2014-04-29 20:41

updater   ~0004756

Last edited: 2014-04-29 20:51

View 3 revisions

I tried to change a user account.
Without a ticket number no change or access to secret Q & A / account history was possible. => ok

With a ticket number I was able to perform all changes and had access to secret Q & A / account history was possible. => ok

The account history showed all headers in for all pages. => ok

the following ticket no. were possible (yymmdd.x are numbers):
a20yymmdd.x, d20yymmdd.x, m20yymmdd.x, s20yymmdd.x
=> ok

the following ticket no. were not allowed (yymmdd.x are numbers):
other letters in the first place
a20yymmdd.
=>ok

=> ok

Eva

2014-04-29 21:05

updater   ~0004757

Last edited: 2014-04-29 22:28

View 9 revisions

Ticket numbers:
---------------
a.xxxxxxxx.b (. too much and letters)
axxxxxxxx.b (letters)
axxxxxxxx.9 (letters)
a0000.9 (too short)
x44445577.9 (wrong first letter)
a344445577.9 (too long)
a34444557.b (letter as last part)
a.34444557.9 (. too much)
t00000000.0 (wrong first letter)
a00000000. (missing number at the end)
a00000000.-88 (negative number at the end)
-> were rejected
-> ok

a55552222.9 (arbitration-number)
s44445577.9 (support-number)
m44445577.9 (motion-number)
d00000000.0 (dispute-number) ? - should be there
a00000000.999999999 (long second number)
a00000000.0.0 (number with a third part)
-> were accepted
-> ok

Changes:
--------
Tried to change everything without a ticket number
-> could not change anything because of missing ticket number.
Tried to delete account without a ticket number
-> could not change anything because of missing ticket number.
Tried to see pw-details without a ticket number
-> could not see it because of missing ticekt number.
-> ok

Tried to change everything with ticket number
-> everything was allowed and worked.
-> changes etc. were displayed correctly in the admin-log
-> they were also displayed correctly in the members log

Could view pw-recovery-questions with ticket number
-> this was displayed correctly in admin-log
-> this was displayed correctly in members log

Delete account with ticket number worked, was displayed correctly on admin log.
Was displayed correctly on log of members account
-> ok

=> ok

BenBE

2014-04-30 18:59

updater   ~0004768

2nd Review NAK.

Further ammendments to the previous patches were made including some minor functional things.

Please especially have a look if the new escaping added works properly with existing data.

Due to the mass of changes I'll recheck the whole patch series again later.

NEOatNHNG

2014-05-01 00:42

administrator   ~0004770

I've added some changes mostly due to double escaping taking place after the patches from BenBE which could introduce problems. Please test and (re)*view.

@Testers: Please also try user accounts with special characters not from latin1 in the name and check whether places like "My Details" are properly displayed.

BenBE

2014-05-06 19:06

updater   ~0004774

2nd Review OK.

INOPIAE

2014-05-06 20:49

updater   ~0004776

Last edited: 2014-05-06 21:01

View 4 revisions

I created an account with the name hülügülü ülübü.
When I assured the account the old calculation shows all ü as & uuml => false
The new calculation shows the correct name. => ok

I tried to change the account with the SE console.
Without ticket nothimg was acepted. => ok
With ticket everything was editable. => ok

All changes were recorded correct in the admin lock. => ok

=> fail due to misspelling

added č and a kanji character to the first name. The name is given as č 引 in all places. => fail due to misspelling

BenBE

2014-05-20 20:57

updater   ~0004784

Workaround for double-escaping on wot/10.php

@Neo: Please review this last patch and mark for sending to critical.

INOPIAE

2014-05-25 10:10

updater   ~0004786

I just looked at the account histrory and found in the client cert section that only the valid client certs are given. This applies to both views user and SE.
=> fail
Furthermore the list of client certificates of a user does not show the valid certs by default. Only if I expand the view to all I am able to see them.

=> fail

NEOatNHNG

2014-05-26 22:16

administrator   ~0004787

The changes from BenBE are OK and I also found and fixed the problem why the expired certificates weren't displayed. Please test and review.

INOPIAE

2014-05-27 20:49

updater   ~0004788

Last edited: 2014-05-27 21:06

View 2 revisions

Now the certificate views work again.
related also to bug 413

Eva

2014-05-27 21:06

updater   ~0004789

client certificates view and history log show the correct certificates.

Valid and pending certificates are shown directly in the cleint certificates view.

All certificates appear in the history log.

=> ok

wytze

2014-06-07 09:29

developer   ~0004802

A combined fix for this and related issues has been installed on the production server on June 7, 2014. See also:
https://lists.cacert.org/wws/arc/cacert-systemlog/2014-06/msg00005.html

Issue History

Date Modified Username Field Change
2013-01-16 08:12 INOPIAE New Issue
2013-01-16 08:12 INOPIAE Assigned To => INOPIAE
2013-01-16 08:12 INOPIAE Relationship added related to 0000301
2013-01-16 08:12 INOPIAE Relationship added related to 0000114
2013-01-16 08:13 INOPIAE Relationship added related to 0001135
2013-01-16 08:13 INOPIAE Status new => needs work
2013-01-16 08:14 INOPIAE Additional Information Updated View Revisions
2013-01-16 08:30 Werner Dworak Summary Implement the log the SE activity => Implement to log the SE activity
2013-01-18 00:37 INOPIAE Relationship added related to 0000407
2013-01-18 01:06 BenBE Relationship added parent of 0000893
2013-01-18 01:08 BenBE Relationship replaced parent of 0001135
2013-12-09 07:40 INOPIAE Note Added: 0004482
2013-12-09 07:40 INOPIAE Assigned To INOPIAE => BenBE
2013-12-09 07:40 INOPIAE Status needs work => fix available
2014-01-11 19:20 BenBE Source_changeset_attached => cacert-devel testserver-stable 7009f163
2014-01-11 19:20 BenBE Source_changeset_attached => cacert-devel testserver-stable 499b1281
2014-01-11 19:20 INOPIAE Source_changeset_attached => cacert-devel testserver-stable 39f4aa38
2014-01-11 19:20 INOPIAE Source_changeset_attached => cacert-devel testserver-stable a22c57b0
2014-01-11 19:20 INOPIAE Source_changeset_attached => cacert-devel testserver-stable 103de8f1
2014-01-11 19:20 INOPIAE Source_changeset_attached => cacert-devel testserver-stable d653cd9c
2014-01-11 19:20 INOPIAE Source_changeset_attached => cacert-devel testserver-stable bbcafda8
2014-01-11 19:20 INOPIAE Source_changeset_attached => cacert-devel testserver-stable f4d79dbd
2014-01-11 19:20 INOPIAE Source_changeset_attached => cacert-devel testserver-stable 75350637
2014-01-11 19:20 INOPIAE Source_changeset_attached => cacert-devel testserver-stable 145fb8d6
2014-01-11 19:20 INOPIAE Source_changeset_attached => cacert-devel testserver-stable 0b0a8a05
2014-01-11 19:20 INOPIAE Source_changeset_attached => cacert-devel testserver-stable 1dc9a4ac
2014-01-11 19:20 INOPIAE Source_changeset_attached => cacert-devel testserver-stable 9b0079e0
2014-01-11 19:20 INOPIAE Source_changeset_attached => cacert-devel testserver-stable 58705a5d
2014-01-11 19:20 INOPIAE Source_changeset_attached => cacert-devel testserver-stable 81d45dc2
2014-01-11 19:20 INOPIAE Source_changeset_attached => cacert-devel testserver-stable ed5c46d3
2014-01-11 19:20 INOPIAE Source_changeset_attached => cacert-devel testserver-stable 91d56d5b
2014-01-11 19:20 INOPIAE Source_changeset_attached => cacert-devel testserver-stable 1d0a0628
2014-01-11 19:20 INOPIAE Source_changeset_attached => cacert-devel testserver-stable 0335ec43
2014-01-11 19:20 INOPIAE Source_changeset_attached => cacert-devel testserver-stable 111d0d44
2014-01-11 19:20 INOPIAE Source_changeset_attached => cacert-devel testserver-stable a8b2dbd6
2014-01-11 19:20 INOPIAE Source_changeset_attached => cacert-devel testserver-stable a9aaceb1
2014-01-11 19:20 INOPIAE Source_changeset_attached => cacert-devel testserver-stable b1799d54
2014-01-11 19:20 INOPIAE Source_changeset_attached => cacert-devel testserver-stable 0ff1e28b
2014-01-11 19:20 INOPIAE Source_changeset_attached => cacert-devel testserver-stable 4b3049e5
2014-01-12 13:25 BenBE Source_changeset_attached => cacert-devel testserver-stable 2bfa01c7
2014-01-12 13:25 BenBE Source_changeset_attached => cacert-devel testserver-stable 2fc3f723
2014-01-12 13:25 BenBE Source_changeset_attached => cacert-devel testserver-stable bc88d503
2014-01-12 13:25 INOPIAE Source_changeset_attached => cacert-devel testserver-stable 1e8d8add
2014-01-12 15:20 BenBE Source_changeset_attached => cacert-devel testserver-stable c44898d9
2014-01-12 15:20 INOPIAE Source_changeset_attached => cacert-devel testserver-stable 8a847994
2014-01-20 21:44 INOPIAE Note Added: 0004530
2014-01-28 20:24 BenBE Reviewed by => BenBE
2014-01-28 20:24 BenBE Note Added: 0004542
2014-01-28 20:24 BenBE Assigned To BenBE => NEOatNHNG
2014-01-28 20:24 BenBE Target Version 2013 Q1 => 2014 Q1
2014-02-05 00:15 NEOatNHNG Source_changeset_attached => cacert-devel testserver-stable 0da417e1
2014-02-05 00:15 NEOatNHNG Source_changeset_attached => cacert-devel testserver-stable 2636d78d
2014-02-05 00:15 INOPIAE Source_changeset_attached => cacert-devel testserver-stable 73fc407c
2014-02-05 00:15 INOPIAE Source_changeset_attached => cacert-devel testserver-stable 748e102c
2014-02-05 00:15 INOPIAE Source_changeset_attached => cacert-devel testserver-stable 8938fc9b
2014-02-05 00:15 INOPIAE Source_changeset_attached => cacert-devel testserver-stable 0f20bb28
2014-02-05 00:15 INOPIAE Source_changeset_attached => cacert-devel testserver-stable 8c85e310
2014-02-05 00:15 INOPIAE Source_changeset_attached => cacert-devel testserver-stable ea25e2de
2014-02-05 00:15 INOPIAE Source_changeset_attached => cacert-devel testserver-stable 536674a6
2014-02-05 00:15 INOPIAE Source_changeset_attached => cacert-devel testserver-stable a8ad88d8
2014-02-05 00:15 INOPIAE Source_changeset_attached => cacert-devel testserver-stable b0dc6c5d
2014-02-05 00:15 INOPIAE Source_changeset_attached => cacert-devel testserver-stable fb300edf
2014-02-05 00:15 INOPIAE Source_changeset_attached => cacert-devel testserver-stable 99a68547
2014-02-05 00:15 INOPIAE Source_changeset_attached => cacert-devel testserver-stable 070ecab5
2014-02-05 00:15 INOPIAE Source_changeset_attached => cacert-devel testserver-stable e8eec19f
2014-02-05 00:15 INOPIAE Source_changeset_attached => cacert-devel testserver-stable 26212f7d
2014-02-05 00:15 INOPIAE Source_changeset_attached => cacert-devel testserver-stable f6da9654
2014-02-05 00:35 INOPIAE Status fix available => needs review & testing
2014-02-18 23:39 Eva Note Added: 0004592
2014-02-18 23:43 Eva Note Added: 0004593
2014-02-19 09:23 Eva Note Edited: 0004593 View Revisions
2014-02-22 06:36 INOPIAE Note Added: 0004594
2014-02-25 21:46 BenBE Note Added: 0004606
2014-02-25 21:46 BenBE Reviewed by BenBE =>
2014-02-25 22:55 BenBE Source_changeset_attached => cacert-devel testserver-stable 0665ff84
2014-02-25 22:55 INOPIAE Source_changeset_attached => cacert-devel testserver-stable e793c525
2014-02-25 22:55 INOPIAE Source_changeset_attached => cacert-devel testserver-stable fa98b8e1
2014-02-25 22:55 INOPIAE Source_changeset_attached => cacert-devel testserver-stable 4e222fea
2014-02-25 22:55 INOPIAE Source_changeset_attached => cacert-devel testserver-stable 86a396cb
2014-02-25 22:55 Source_changeset_attached => cacert-devel testserver-stable dae136a7
2014-02-25 22:55 Source_changeset_attached => cacert-devel testserver-stable b0d8d898
2014-02-25 22:55 Source_changeset_attached => cacert-devel testserver-stable 1a632371
2014-02-25 22:55 Source_changeset_attached => cacert-devel testserver-stable 0e67101f
2014-02-25 22:55 Source_changeset_attached => cacert-devel testserver-stable ff98728f
2014-02-25 22:55 Source_changeset_attached => cacert-devel testserver-stable 41a51fd6
2014-02-25 22:55 Source_changeset_attached => cacert-devel testserver-stable 84814bff
2014-02-25 22:55 Source_changeset_attached => cacert-devel testserver-stable fc3d432f
2014-02-25 22:55 Source_changeset_attached => cacert-devel testserver-stable c5e9c322
2014-02-25 22:55 Source_changeset_attached => cacert-devel testserver-stable 351c76a5
2014-03-04 22:14 INOPIAE Note Added: 0004616
2014-03-04 22:55 NEOatNHNG Source_changeset_attached => cacert-devel testserver-stable 058d2df4
2014-03-04 22:55 INOPIAE Source_changeset_attached => cacert-devel testserver-stable 67637d2f
2014-03-11 22:40 NEOatNHNG Source_changeset_attached => cacert-devel testserver-stable 029dbbe6
2014-03-11 22:40 INOPIAE Source_changeset_attached => cacert-devel testserver-stable b97cf0e8
2014-03-24 10:08 Werner Dworak Note Added: 0004678
2014-03-24 10:18 Werner Dworak Note Edited: 0004678 View Revisions
2014-04-07 14:45 NEOatNHNG Source_changeset_attached => cacert-devel testserver-stable 58ed0225
2014-04-07 14:45 NEOatNHNG Source_changeset_attached => cacert-devel testserver-stable 9fac7480
2014-04-07 14:45 NEOatNHNG Source_changeset_attached => cacert-devel testserver-stable 7346b385
2014-04-07 14:45 NEOatNHNG Source_changeset_attached => cacert-devel testserver-stable d4fc958e
2014-04-07 14:45 NEOatNHNG Source_changeset_attached => cacert-devel testserver-stable 12a938b7
2014-04-07 14:45 NEOatNHNG Source_changeset_attached => cacert-devel testserver-stable 72e84079
2014-04-07 14:45 NEOatNHNG Source_changeset_attached => cacert-devel testserver-stable 8654cbfb
2014-04-07 14:45 NEOatNHNG Source_changeset_attached => cacert-devel testserver-stable ecb42640
2014-04-07 14:45 NEOatNHNG Source_changeset_attached => cacert-devel testserver-stable 49a7ef88
2014-04-07 14:45 NEOatNHNG Source_changeset_attached => cacert-devel testserver-stable ba0eb9dd
2014-04-07 14:45 NEOatNHNG Source_changeset_attached => cacert-devel testserver-stable 5fac10ce
2014-04-07 14:45 NEOatNHNG Source_changeset_attached => cacert-devel testserver-stable 7aced740
2014-04-07 14:45 NEOatNHNG Source_changeset_attached => cacert-devel testserver-stable efcc291e
2014-04-07 14:45 NEOatNHNG Source_changeset_attached => cacert-devel testserver-stable d44ae6a0
2014-04-07 14:45 NEOatNHNG Source_changeset_attached => cacert-devel testserver-stable 530dc6bd
2014-04-07 14:45 NEOatNHNG Source_changeset_attached => cacert-devel testserver-stable b73cb1b8
2014-04-07 14:45 NEOatNHNG Source_changeset_attached => cacert-devel testserver-stable 97485af3
2014-04-07 14:45 NEOatNHNG Source_changeset_attached => cacert-devel testserver-stable 94cbe4d9
2014-04-07 14:45 NEOatNHNG Source_changeset_attached => cacert-devel testserver-stable 7e760433
2014-04-07 14:45 NEOatNHNG Source_changeset_attached => cacert-devel testserver-stable f6cecf76
2014-04-07 14:45 NEOatNHNG Source_changeset_attached => cacert-devel testserver-stable ef07f2ee
2014-04-07 14:45 NEOatNHNG Source_changeset_attached => cacert-devel testserver-stable 775f0742
2014-04-11 20:40 NEOatNHNG Source_changeset_attached => cacert-devel testserver-stable cb4febde
2014-04-11 20:40 NEOatNHNG Source_changeset_attached => cacert-devel testserver-stable f08bf6cc
2014-04-11 20:40 NEOatNHNG Source_changeset_attached => cacert-devel testserver-stable b7fe66a4
2014-04-11 20:40 NEOatNHNG Source_changeset_attached => cacert-devel testserver-stable c4ce71d9
2014-04-11 20:40 NEOatNHNG Source_changeset_attached => cacert-devel testserver-stable 057e1ded
2014-04-11 20:40 NEOatNHNG Source_changeset_attached => cacert-devel testserver-stable 4bf67d37
2014-04-11 20:40 NEOatNHNG Source_changeset_attached => cacert-devel testserver-stable 0a6a55e9
2014-04-11 20:40 NEOatNHNG Source_changeset_attached => cacert-devel testserver-stable 374a109b
2014-04-11 20:40 NEOatNHNG Source_changeset_attached => cacert-devel testserver-stable c3014c5d
2014-04-11 20:40 NEOatNHNG Source_changeset_attached => cacert-devel testserver-stable 878e8761
2014-04-11 20:40 NEOatNHNG Source_changeset_attached => cacert-devel testserver-stable 255dd8fa
2014-04-11 20:40 NEOatNHNG Source_changeset_attached => cacert-devel testserver-stable bf0cbaf8
2014-04-11 20:40 NEOatNHNG Source_changeset_attached => cacert-devel testserver-stable 6b988644
2014-04-11 20:40 NEOatNHNG Source_changeset_attached => cacert-devel testserver-stable bb07598c
2014-04-11 20:40 NEOatNHNG Source_changeset_attached => cacert-devel testserver-stable 07891c06
2014-04-11 20:40 NEOatNHNG Source_changeset_attached => cacert-devel testserver-stable ed5cb34b
2014-04-11 20:40 NEOatNHNG Source_changeset_attached => cacert-devel testserver-stable cc6de7e1
2014-04-11 20:40 NEOatNHNG Source_changeset_attached => cacert-devel testserver-stable 092e2b5d
2014-04-11 21:05 NEOatNHNG Source_changeset_attached => cacert-devel testserver-stable 5bbea98e
2014-04-11 21:05 NEOatNHNG Source_changeset_attached => cacert-devel testserver-stable 63d4b020
2014-04-11 21:05 NEOatNHNG Source_changeset_attached => cacert-devel testserver-stable 4055bb2b
2014-04-11 21:55 NEOatNHNG Source_changeset_attached => cacert-devel testserver-stable 79046fc0
2014-04-11 21:55 NEOatNHNG Source_changeset_attached => cacert-devel testserver-stable fae8feca
2014-04-11 21:55 NEOatNHNG Source_changeset_attached => cacert-devel testserver-stable 3b239416
2014-04-11 21:55 NEOatNHNG Source_changeset_attached => cacert-devel testserver-stable 6e3be834
2014-04-11 21:55 NEOatNHNG Source_changeset_attached => cacert-devel testserver-stable 4b2c1a6a
2014-04-11 21:55 NEOatNHNG Source_changeset_attached => cacert-devel testserver-stable 3a6984a0
2014-04-11 21:55 NEOatNHNG Source_changeset_attached => cacert-devel testserver-stable edc41777
2014-04-11 22:05 NEOatNHNG Source_changeset_attached => cacert-devel testserver-stable 384f3a2a
2014-04-11 22:05 NEOatNHNG Source_changeset_attached => cacert-devel testserver-stable af2b4270
2014-04-29 20:25 NEOatNHNG Source_changeset_attached => cacert-devel testserver-stable 7e0a31bd
2014-04-29 20:25 NEOatNHNG Source_changeset_attached => cacert-devel testserver-stable df84901b
2014-04-29 20:25 NEOatNHNG Source_changeset_attached => cacert-devel testserver-stable 9babd285
2014-04-29 20:25 NEOatNHNG Source_changeset_attached => cacert-devel testserver-stable 2fe2cabe
2014-04-29 20:25 NEOatNHNG Source_changeset_attached => cacert-devel testserver-stable 1b87c445
2014-04-29 20:25 NEOatNHNG Source_changeset_attached => cacert-devel testserver-stable 029baf4f
2014-04-29 20:25 NEOatNHNG Source_changeset_attached => cacert-devel testserver-stable bb11f3a0
2014-04-29 20:25 NEOatNHNG Source_changeset_attached => cacert-devel testserver-stable 4f555bd4
2014-04-29 20:30 NEOatNHNG Reviewed by => NEOatNHNG
2014-04-29 20:30 NEOatNHNG Note Added: 0004754
2014-04-29 20:40 NEOatNHNG Assigned To NEOatNHNG => BenBE
2014-04-29 20:41 INOPIAE Note Added: 0004756
2014-04-29 20:42 INOPIAE Note Edited: 0004756 View Revisions
2014-04-29 20:51 INOPIAE Note Edited: 0004756 View Revisions
2014-04-29 20:53 INOPIAE Relationship added related to 0000612
2014-04-29 20:55 INOPIAE Relationship added related to 0001092
2014-04-29 20:56 INOPIAE Relationship added related to 0001129
2014-04-29 20:56 INOPIAE Relationship added related to 0000859
2014-04-29 21:05 Eva Note Added: 0004757
2014-04-29 21:20 Eva Note Edited: 0004757 View Revisions
2014-04-29 21:39 Eva Note Edited: 0004757 View Revisions
2014-04-29 21:47 Eva Note Edited: 0004757 View Revisions
2014-04-29 22:07 Eva Note Edited: 0004757 View Revisions
2014-04-29 22:08 Eva Note Edited: 0004757 View Revisions
2014-04-29 22:24 Eva Note Edited: 0004757 View Revisions
2014-04-29 22:27 Eva Note Edited: 0004757 View Revisions
2014-04-29 22:28 Eva Note Edited: 0004757 View Revisions
2014-04-30 18:59 BenBE Reviewed by NEOatNHNG =>
2014-04-30 18:59 BenBE Note Added: 0004768
2014-05-01 00:40 NEOatNHNG Source_changeset_attached => cacert-devel testserver-stable 62366366
2014-05-01 00:40 NEOatNHNG Source_changeset_attached => cacert-devel testserver-stable 0dfce031
2014-05-01 00:40 NEOatNHNG Source_changeset_attached => cacert-devel testserver-stable 5cae905a
2014-05-01 00:40 NEOatNHNG Source_changeset_attached => cacert-devel testserver-stable debc6736
2014-05-01 00:40 NEOatNHNG Source_changeset_attached => cacert-devel testserver-stable 55449355
2014-05-01 00:40 NEOatNHNG Source_changeset_attached => cacert-devel testserver-stable cff85b0e
2014-05-01 00:40 NEOatNHNG Source_changeset_attached => cacert-devel testserver-stable 70b829a7
2014-05-01 00:40 BenBE Source_changeset_attached => cacert-devel testserver-stable a11cfccc
2014-05-01 00:40 BenBE Source_changeset_attached => cacert-devel testserver-stable 7e6053f9
2014-05-01 00:40 BenBE Source_changeset_attached => cacert-devel testserver-stable d872c0ce
2014-05-01 00:40 BenBE Source_changeset_attached => cacert-devel testserver-stable 346899e8
2014-05-01 00:40 BenBE Source_changeset_attached => cacert-devel testserver-stable 7f02d479
2014-05-01 00:40 BenBE Source_changeset_attached => cacert-devel testserver-stable 2801b166
2014-05-01 00:40 BenBE Source_changeset_attached => cacert-devel testserver-stable 5303f270
2014-05-01 00:40 BenBE Source_changeset_attached => cacert-devel testserver-stable 8cdfaa22
2014-05-01 00:40 BenBE Source_changeset_attached => cacert-devel testserver-stable 5c961b77
2014-05-01 00:40 BenBE Source_changeset_attached => cacert-devel testserver-stable 32200438
2014-05-01 00:40 BenBE Source_changeset_attached => cacert-devel testserver-stable 892f0e8f
2014-05-01 00:40 BenBE Source_changeset_attached => cacert-devel testserver-stable cfa34e71
2014-05-01 00:40 BenBE Source_changeset_attached => cacert-devel testserver-stable f98a23ca
2014-05-01 00:40 BenBE Source_changeset_attached => cacert-devel testserver-stable e00ea4fa
2014-05-01 00:42 NEOatNHNG Reviewed by => NEOatNHNG
2014-05-01 00:42 NEOatNHNG Note Added: 0004770
2014-05-06 19:06 BenBE Reviewed by NEOatNHNG => NEOatNHNG, BenBE
2014-05-06 19:06 BenBE Note Added: 0004774
2014-05-06 19:06 BenBE Status needs review & testing => needs testing
2014-05-06 20:49 INOPIAE Note Added: 0004776
2014-05-06 20:51 INOPIAE Note Edited: 0004776 View Revisions
2014-05-06 21:00 INOPIAE Note Edited: 0004776 View Revisions
2014-05-06 21:01 INOPIAE Note Edited: 0004776 View Revisions
2014-05-20 20:50 BenBE Source_changeset_attached => cacert-devel testserver-stable d4cf01f8
2014-05-20 20:50 BenBE Source_changeset_attached => cacert-devel testserver-stable 5737cf42
2014-05-20 20:57 BenBE Reviewed by NEOatNHNG, BenBE => BenBE
2014-05-20 20:57 BenBE Note Added: 0004784
2014-05-20 20:57 BenBE Assigned To BenBE => NEOatNHNG
2014-05-20 20:57 BenBE Status needs testing => needs review
2014-05-25 10:10 INOPIAE Note Added: 0004786
2014-05-26 22:10 NEOatNHNG Source_changeset_attached => cacert-devel testserver-stable 482899c3
2014-05-26 22:10 NEOatNHNG Source_changeset_attached => cacert-devel testserver-stable cea6657d
2014-05-26 22:16 NEOatNHNG Reviewed by BenBE => NEOatNHNG
2014-05-26 22:16 NEOatNHNG Note Added: 0004787
2014-05-26 22:16 NEOatNHNG Status needs review => needs review & testing
2014-05-27 20:49 INOPIAE Note Added: 0004788
2014-05-27 21:05 INOPIAE Relationship added related to 0000413
2014-05-27 21:06 Eva Note Added: 0004789
2014-05-27 21:06 INOPIAE Note Edited: 0004788 View Revisions
2014-06-03 20:17 BenBE Reviewed by NEOatNHNG => NEOatNHNG, BenBE
2014-06-03 20:17 BenBE Status needs review & testing => ready to deploy
2014-06-06 17:10 BenBE Source_changeset_attached => cacert-devel testserver-stable f15731d9
2014-06-06 17:10 BenBE Source_changeset_attached => cacert-devel testserver-stable a4a80755
2014-06-06 21:50 BenBE Source_changeset_attached => cacert-devel release 4dd6c64e
2014-06-07 09:29 wytze Note Added: 0004802
2014-06-07 09:29 wytze Status ready to deploy => solved?
2014-06-07 09:29 wytze Fixed in Version => 2014 Q2
2014-06-07 09:29 wytze Resolution open => fixed
2014-10-21 21:04 INOPIAE Status solved? => closed